optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.InputStage.ENCInput Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.ENCInput:

## Public Member Functions
| __init__ (self, board=None)
| SetCounter (self, value)
| GetCounter (self)
| SetMaxerror (self, value)
| GetMaxerror (self)
| SetAutoResetZ (self, value)
| GetAutoResetZ (self)
| GetZCount (self)
| SetZCount (self, value)
| SetValue (self, value)
| GetValue (self)
| get_value (self, channel)
| get_value_id (self, channel)
| init (self)
| is_init_done (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| __init__ (self, int or None channel=0, board=None)
| SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)
Public Member Functions inherited from optoKummenberg.registers.InputStage.FeedbackSystem
| __init__ (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x34
dict | counter
dict | maxerror
dict | autoreset_z
dict | value
dict | zcount
dict | lasterror
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()
Public Attributes inherited from optoKummenberg.registers.InputStage.FeedbackSystem
int | n_sensors = 1

## Protected Attributes
bool | _readonly = False
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.InputStage.ENCInput.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ get_value()

optoKummenberg.registers.InputStage.ENCInput.get_value | ( |  | self,
|  |  | channel )

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ get_value_id()

optoKummenberg.registers.InputStage.ENCInput.get_value_id | ( |  | self,
|  |  | channel )

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ GetAutoResetZ()

optoKummenberg.registers.InputStage.ENCInput.GetAutoResetZ | ( |  | self | ) |

## ◆ GetCounter()

optoKummenberg.registers.InputStage.ENCInput.GetCounter | ( |  | self | ) |

## ◆ GetMaxerror()

optoKummenberg.registers.InputStage.ENCInput.GetMaxerror | ( |  | self | ) |

## ◆ GetValue()

optoKummenberg.registers.InputStage.ENCInput.GetValue | ( |  | self | ) |

## ◆ GetZCount()

optoKummenberg.registers.InputStage.ENCInput.GetZCount | ( |  | self | ) |

## ◆ help()

optoKummenberg.registers.InputStage.ENCInput.help | ( |  | ) |
| static

## ◆ init()

optoKummenberg.registers.InputStage.ENCInput.init | ( |  | self | ) |

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ is_init_done()

optoKummenberg.registers.InputStage.ENCInput.is_init_done | ( |  | self | ) |

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ SetAutoResetZ()

optoKummenberg.registers.InputStage.ENCInput.SetAutoResetZ | ( |  | self,
|  |  | value )

## ◆ SetCounter()

optoKummenberg.registers.InputStage.ENCInput.SetCounter | ( |  | self,
|  |  | value )

## ◆ SetMaxerror()

optoKummenberg.registers.InputStage.ENCInput.SetMaxerror | ( |  | self,
|  |  | value )

## ◆ SetValue()

optoKummenberg.registers.InputStage.ENCInput.SetValue | ( |  | self,
|  |  | value )

## ◆ SetZCount()

optoKummenberg.registers.InputStage.ENCInput.SetZCount | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _readonly

bool optoKummenberg.registers.InputStage.ENCInput._readonly = False
| protected

## ◆ autoreset_z

dict optoKummenberg.registers.InputStage.ENCInput.autoreset_z

Initial value:
= {'id': self.sys_id << 8 | 0x02,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ counter

dict optoKummenberg.registers.InputStage.ENCInput.counter

Initial value:
= {'id': self.sys_id << 8 | 0x00,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ lasterror

dict optoKummenberg.registers.InputStage.ENCInput.lasterror

Initial value:
= {'id': self.sys_id << 8 | 0x05,
'type': int,
'unit': None,
'range': None,
'default': 0.0,
'value': 0.0}

## ◆ maxerror

dict optoKummenberg.registers.InputStage.ENCInput.maxerror

Initial value:
= {'id': self.sys_id << 8 | 0x01,
'type': int,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ sys_id

int optoKummenberg.registers.InputStage.ENCInput.sys_id = 0x34

## ◆ value

dict optoKummenberg.registers.InputStage.ENCInput.value

Initial value:
= {'id': self.sys_id << 8 | 0x03,
'type': float,
'unit': None,
'range': None,
'default': 0.0,
'value': 0.0}

## ◆ zcount

dict optoKummenberg.registers.InputStage.ENCInput.zcount

Initial value:
= {'id': self.sys_id << 8 | 0x04,
'type': int,
'unit': None,
'range': None,
'default': 0.0,
'value': 0.0}

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py